Task Hierarchy Config
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
Get the task hierarchy config OR a slice of it (types, root, parents, children)#
GET
/task-hierarchy-configTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Query | string | – |
activeTypes | Query | string | – |
rootTypes | Query | string | – |
taskTypeId | Query | string | – |
validParentTypes | Query | string | – |
validChildTypes | Query | string | – |
Antworten
- 200Config or slice returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/task-hierarchy-config" \
-H "Authorization: Bearer $XISUITE_TOKEN"Dispatched action: validate | reset | add_task_type | update_task_type | remove_task_type | reorder#
POST
/task-hierarchy-configTokenRequest-Body
Keine Felder dokumentiert.
Antworten
- 200Action result
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/task-hierarchy-config" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Save (upsert) the task hierarchy config#
PUT
/task-hierarchy-configTokenRequest-Body
Keine Felder dokumentiert.
Antworten
- 200Config saved
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/task-hierarchy-config" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'